#
# spec file for package dvb-firmware-installer
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           dvb-firmware-installer
Version:        1.0
Release:        1.62
Summary:        Downloads and installs DVB firmware
License:        GPL-3.0+
%if 0%{?suse_version} != 1140
Group:          System/kernel
%else
Group:          Hardware/TV
%endif
Url:            http://www.linuxtv.org
Source0:        get_firmware.py
Source1:        LICENSE
Source2:        rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       python
BuildArch:      noarch

%description
Downloads and installs DVB firmware files to use with various
kernel modules

%prep
cp %{SOURCE0} .
cp %{SOURCE1} .

%build

%install
%suse_install_update_script get_firmware.py
mkdir -p %{buildroot}/%{_localstatedir}/adm/update-messages
install -m 644 LICENSE \
        -T %{buildroot}%{_localstatedir}/adm/update-messages/%name-%version-%release-1

%if 0%{?suse_version} <= 1140
mkdir -p %{buildroot}/lib/firmware
pushd %{buildroot}/lib/firmware
touch \
as102_data1_st.hex as102_data2_st.hex cmmb_vega_12mhz.inp cmmb_venice_12mhz.inp \
dvb-fe-bcm3510-01.fw dvb-fe-drxj-mc-1.0.8.fw dvb-fe-drxj-mc-vsb-1.0.8.fw \
dvb-fe-drxj-mc-vsb-qam-1.0.8.fw dvb-fe-or51132-qam.fw dvb-fe-or51132-vsb.fw \
dvb-fe-or51211.fw dvb-fe-xc4000-1.4.1.fw dvb-fe-xc5000-1.6.114.fw \
dvb-fe-xc5000c-4.1.30.7.fw dvb_nova_12mhz_b0.inp dvb_nova_12mhz.inp \
dvb-ttpci-01.fw dvb-usb-avertv-a800-02.fw dvb-usb-bluebird-01.fw \
dvb-usb-dib0700-1.20.fw dvb-usb-dibusb-5.0.0.11.fw dvb-usb-dibusb-6.0.0.8.fw \
dvb-usb-dtt200u-01.fw dvb-usb-it9135-01.fw dvb-usb-it9135-02.fw \
dvb-usb-terratec-h5-drxk.fw dvb-usb-terratec-h7-az6007.fw \
dvb-usb-terratec-h7-drxk.fw dvb-usb-umt-010-02.fw dvb-usb-vp702x-01.fw \
dvb-usb-vp7045-01.fw dvb-usb-wt220u-01.fw dvb-usb-wt220u-02.fw \
isdbt_nova_12mhz_b0.inp isdbt_nova_12mhz.inp isdbt_rio.inp \
sms1xxx-hcw-55xxx-dvbt-02.fw sms1xxx-hcw-55xxx-isdbt-02.fw \
sms1xxx-nova-a-dvbt-01.fw sms1xxx-nova-b-dvbt-01.fw sms1xxx-stellar-dvbt-01.fw \
tdmb_nova_12mhz.inp v4l-cx231xx-avcore-01.fw v4l-cx23418-apu.fw v4l-cx23418-cpu.fw \
v4l-cx23418-dig.fw v4l-cx23885-avcore-01.fw v4l-cx23885-enc-broken.fw \
v4l-cx25840.fw
popd
%endif

%files
%defattr(-, root, root)
%doc LICENSE
%{_localstatedir}/adm/update-messages/%name-%version-%release-1
%{_localstatedir}/adm/update-scripts/*
%ghost /lib/firmware/as102_data1_st.hex
%ghost /lib/firmware/as102_data2_st.hex
%ghost /lib/firmware/cmmb_vega_12mhz.inp
%ghost /lib/firmware/cmmb_venice_12mhz.inp
%ghost /lib/firmware/dvb-fe-bcm3510-01.fw
%ghost /lib/firmware/dvb-fe-drxj-mc-1.0.8.fw
%ghost /lib/firmware/dvb-fe-drxj-mc-vsb-1.0.8.fw
%ghost /lib/firmware/dvb-fe-drxj-mc-vsb-qam-1.0.8.fw
%ghost /lib/firmware/dvb-fe-or51132-qam.fw
%ghost /lib/firmware/dvb-fe-or51132-vsb.fw
%ghost /lib/firmware/dvb-fe-or51211.fw
%ghost /lib/firmware/dvb-fe-xc4000-1.4.1.fw
%ghost /lib/firmware/dvb-fe-xc5000-1.6.114.fw
%ghost /lib/firmware/dvb-fe-xc5000c-4.1.30.7.fw
%ghost /lib/firmware/dvb_nova_12mhz_b0.inp
%ghost /lib/firmware/dvb_nova_12mhz.inp
%ghost /lib/firmware/dvb-ttpci-01.fw
%ghost /lib/firmware/dvb-usb-avertv-a800-02.fw
%ghost /lib/firmware/dvb-usb-bluebird-01.fw
%ghost /lib/firmware/dvb-usb-dib0700-1.20.fw
%ghost /lib/firmware/dvb-usb-dibusb-5.0.0.11.fw
%ghost /lib/firmware/dvb-usb-dibusb-6.0.0.8.fw
%ghost /lib/firmware/dvb-usb-dtt200u-01.fw
%ghost /lib/firmware/dvb-usb-it9135-01.fw
%ghost /lib/firmware/dvb-usb-it9135-02.fw
%ghost /lib/firmware/dvb-usb-terratec-h5-drxk.fw
%ghost /lib/firmware/dvb-usb-terratec-h7-az6007.fw
%ghost /lib/firmware/dvb-usb-terratec-h7-drxk.fw
%ghost /lib/firmware/dvb-usb-umt-010-02.fw
%ghost /lib/firmware/dvb-usb-vp702x-01.fw
%ghost /lib/firmware/dvb-usb-vp7045-01.fw
%ghost /lib/firmware/dvb-usb-wt220u-01.fw
%ghost /lib/firmware/dvb-usb-wt220u-02.fw
%ghost /lib/firmware/isdbt_nova_12mhz_b0.inp
%ghost /lib/firmware/isdbt_nova_12mhz.inp
%ghost /lib/firmware/isdbt_rio.inp
%ghost /lib/firmware/sms1xxx-hcw-55xxx-dvbt-02.fw
%ghost /lib/firmware/sms1xxx-hcw-55xxx-isdbt-02.fw
%ghost /lib/firmware/sms1xxx-nova-a-dvbt-01.fw
%ghost /lib/firmware/sms1xxx-nova-b-dvbt-01.fw
%ghost /lib/firmware/sms1xxx-stellar-dvbt-01.fw
%ghost /lib/firmware/tdmb_nova_12mhz.inp
%ghost /lib/firmware/v4l-cx231xx-avcore-01.fw
%ghost /lib/firmware/v4l-cx23418-apu.fw
%ghost /lib/firmware/v4l-cx23418-cpu.fw
%ghost /lib/firmware/v4l-cx23418-dig.fw
%ghost /lib/firmware/v4l-cx23885-avcore-01.fw
%ghost /lib/firmware/v4l-cx23885-enc-broken.fw
%ghost /lib/firmware/v4l-cx25840.fw

%changelog
* Fri Jul 24 2015 aloisio@gmx.com
- Initial release
